### Function

# GObject TypeInterface peek

#### Declaration

    GObjectTypeInterface*
    g_type_interface_peek (
      GObjectTypeClass* instance_class,
      GType iface_type
    )

#### Description

Returns the `GTypeInterface` structure of an interface to which the passed in class conforms.

#### Parameters

`instance_class`

  Type: `GTypeClass`

  A `GTypeClass` structure.

  The data is owned by the caller of the function.

`iface_type`

  Type: `GType`

  An interface ID which this class conforms to.

#### Return value

Type: `GTypeInterface`

The `GTypeInterface` structure of `iface_type` if implemented by `instance_class`, `NULL` otherwise.

The data is owned by the called function.